            <!-- Toastr  -->

<!-- <button mat-button (click)="showToaster()">Hi</button>
<button mat-button (click)="showSuccess(message, title)">ok</button> -->



                        <!-- progress spinner  -->
<!-- 
    <mat-spinner *ngIf="showspinner" color="accent"></mat-spinner>


   <button mat-raised-button color="primary"(click)="
   loadData()">start spin</button>   -->
  

                    <!-- Navbar -->

   <!-- <mat-toolbar color="accent" class="navbar">
     <div> cheking</div>
     <div>
      <span>Home</span>        
      <span>Admin</span>
      <span>User</span>

      </div>
    </mat-toolbar> -->
  

                   <!-- sidenav -->
 <!-- <mat-sidenav-container>
 <mat-sidenav #sidenav mode="side" (opened)="sidenavasaveconsole('open')" (closed)="sidenavasaveconsole('close')">Sidenav</mat-sidenav>
 <mat-sidenav-content>Main 
   <button (click)="open=!open">Toggle open</button>    
   <button (click)="sidenav.open()"> open</button>    
   <button (click)="sidenav.close()">close</button>    
   <button (click)="open=!open">Toggle open</button>    
 </mat-sidenav-content>
</mat-sidenav-container>  -->

                     <!-- MenuBar -->

<!-- <mat-menu #refmenu="matMenu" xPosition="after" yPosition="above">
<button  mat-menu-item [mat-menu-trigger-for]="subref">Vegetables</button>
<button  mat-menu-item>Fruits</button>

</mat-menu>                     
<button class="align" mat-raised-button [mat-menu-trigger-for]="refmenu">menu</button>
<mat-menu #subref="matMenu">
   <button  mat-menu-item>juice</button>
   <button  mat-menu-item>snacks</button>
   <button  mat-menu-item>cookies</button>

   </mat-menu>    
   <mat-menu #reflazy="matMenu">
      <ng-template matMenuContent>
      <button  mat-menu-item>Register</button>
      <button  mat-menu-item>login</button>
   </ng-template>
   </mat-menu>    
   <button  mat-raised-button [mat-menu-trigger-for]="reflazy">user</button> -->
   <!-- <button  mat-raised-button [mat-menu-trigger-for]="reflazy">user</button> -->


                        <!-- Mat Table -->

   <!-- <div class="container mt-5" > -->

   <table mat-table [dataSource]="check">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
    <!-- Position Column -->
    <ng-container matColumnDef="EmployeeName">
      <th mat-header-cell *matHeaderCellDef> EmployeeName </th>
      <td mat-cell *matCellDef="let element"> {{element.Name}} </td>
    </ng-container>
  
    <!-- Name Column -->
    <ng-container matColumnDef="Employeeage">
      <th mat-header-cell *matHeaderCellDef> Employeeage </th>
      <td mat-cell *matCellDef="let element"> {{element.age}} </td>
    </ng-container>
  
    <!-- Weight Column -->
    <ng-container matColumnDef="Gender">
      <th mat-header-cell *matHeaderCellDef> Gender </th>
      <td mat-cell *matCellDef="let element"> {{element.gender}} </td>
    </ng-container>
  
    <!-- Symbol Column -->
    <ng-container matColumnDef="EmployeePostion">
      <th mat-header-cell *matHeaderCellDef> EmployeePostion </th>
      <td mat-cell *matCellDef="let element"> {{element.position}} </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  
<!-- </div> -->

<form []="userForm" (ngSubmit)="onSubmit()">

  <label>

      FirstName:

      <input type="text" formControlName="firstName">

  </label><br>

  <label>

      LastName:

      <input type="text" formControlName="lastName">

  </label><br>

  <label>

      Age:

      <input type="text" formControlName="age">

  </label><br>

  <label>

      <input type="text" formControlName="email">

  </label><br>

  <button type="submit">Submit</button>



</form>